﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using UnivateProperties_API.Model.Banks;
using UnivateProperties_API.Model.Misc;
using UnivateProperties_API.Model.Properties;

namespace UnivateProperties_API.Model.Users
{
    public class Individual : Person
    {
        #region Constructor
        public Individual()
        {

        }
        #endregion Constructor

        #region Properties
        public string IdNumber { get; set; }
        public string CompanyRegNumber { get; set; }
        public string MaritalStatus { get; set; }
        [ForeignKey("Address")]
        public int? AddressId { get; set; }
        public string IncomeTaxNumber { get; set; }
        [ForeignKey("BankAccount")]
        public int? BankAccountId { get; set; }

        public virtual Address Address { get; set; }
        public virtual BankAccount BankAccount { get; set; }
        public virtual ICollection<Property> Properties { get; set; }
        #endregion Properties
    }
}
